#!/bin/sh

GRAPHLCD_CONF=''
GRAPHLCD_DISPLAY=''
STARTUP_SINGLE=''
STARTUP_SPLASH=''
SHUTDOWN_SPLASH=''
EXTRA_OPT_SINGLE=''
EXTRA_OPT_STARTUP=''
EXTRA_OPT_SHUTDOWN=''

#set -x

. /etc/default/graphlcd-splash

[ ! -e "${GRAPHLCD_CONF}" ] && echo "graphlcd config not found!" && exit 0
[ -z "${GRAPHLCD_DISPLAY}" ] && echo "no display defined!" && exit 0

case $1 in
	startup)
		pgrep vdr >/dev/null && ( echo "vdr is running, skip startup" && exit 0 )
		$0 stop
		test -d "${STARTUP_SPLASH}/" && \
		showpic -c "${GRAPHLCD_CONF}" -d ${GRAPHLCD_DISPLAY} ${EXTRA_OPT_STARTUP} $(ls ${STARTUP_SPLASH}/*.glcd) &
	;;

	single)
		pgrep vdr >/dev/null && ( echo "vdr is running, skip startup" && exit 0 )
		$0 stop
		test -e "${STARTUP_SINGLE}" && \
		showpic -c "${GRAPHLCD_CONF}" -d ${GRAPHLCD_DISPLAY} ${EXTRA_OPT_SINGLE} ${STARTUP_SINGLE} &
	;;

	shutdown)
		while pgrep vdr >/dev/null
		do
			sleep 1
		done
		$0 stop
		test -d "${SHUTDOWN_SPLASH}/" && \
		showpic -c "${GRAPHLCD_CONF}" -d ${GRAPHLCD_DISPLAY} ${EXTRA_OPT_SHUTDOWN} $(ls ${SHUTDOWN_SPLASH}/*.glcd) &
	;;

	stop)
		pgrep showpic >/dev/null && kill $(pgrep showpic) && sleep 1
	;;

	*)
		echo "usage: $0 single|startup|shutdown|stop"
	;;
esac

